package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.webservice;

import cn.estsh.i3plus.ext.mes.pcn.api.busi.IMesEquipmentProductionResultService;
import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesAutoLineInterfaceModel;
import cn.estsh.impp.framework.boot.util.SpringContextsUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

@WebService(targetNamespace = "http://tempuri.org/services/SyncSPSForEquipmentService")
public class WebServiceServerAutoLineInterface {
    public static final Logger log = LoggerFactory.getLogger(WebServiceServerAutoLineInterface.class);

    @WebMethod(action = "sendMessage", operationName = "sendMessage")
    public void sendMessage(@WebParam(name = "info") MesAutoLineInterfaceModel info) {
        IMesEquipmentProductionResultService service = SpringContextsUtil.getBean(IMesEquipmentProductionResultService.class);
        service.doCreateEquipmentProductionResult(info);
    }
}
