package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiParam;

import javax.xml.bind.annotation.XmlElement;

/**
 * @author jason
 */
//@Getter
//@Setter
//@NoArgsConstructor  // 显式生成无参构造函数（关键）
//@AllArgsConstructor // 同时保留带参构造函数
public class MesAutoLineInterfaceDetailModel {
    @ApiParam("类型")
    private Integer type;

    @ApiParam(value = "工位代码")
    private String workCellCode;

    @ApiParam(value = "条码")
    private String barCode;

    @ApiParam(value = "参数值")
    private String paramValue;

    @ApiParam(value = "参数名")
    private String paramName;

    @XmlElement(name = "Type")
    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @XmlElement(name = "Location")
    public String getWorkCellCode() {
        return workCellCode;
    }

    public void setWorkCellCode(String workCellCode) {
        this.workCellCode = workCellCode;
    }

    @XmlElement(name = "Barcode")
    public String getBarCode() {
        return barCode;
    }

    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    @XmlElement(name = "ParamValue")
    public String getParamValue() {
        return paramValue;
    }

    public void setParamValue(String paramValue) {
        this.paramValue = paramValue;
    }

    @XmlElement(name = "ParamName")
    public String getParamName() {
        return paramName;
    }

    public void setParamName(String paramName) {
        this.paramName = paramName;
    }
}
